
Figure - Bug #118666
IOVDEV-33378【内部】【VC1】【00106】【台架】【EE环境】【副屏】【游戏模式】点击录屏后，录屏弹窗
显示慢
2023-06-08 17:05 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-08

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230608 10：22

【前提条件】：副屏上电，中控已连接

【操作步骤】

1.打开游戏模式

2.进入游戏，打开工具箱

3.点击录屏

【实际结果】

点击录屏后，录屏弹窗显示慢

【期望结果】

1.点击录屏后，立即弹出录屏弹窗

【备注】：log链接：https://ofs.human-horizons.com/#/download/index/zItaXNi2V10%3D

【当前开机次数】：169

【应用版本】：NA

【硬件版本号】：NA

【VIN】HRYTTESTVINMGM401

【中控版本号】：03.02.0088.C103

【副屏版本号】：01.00.0106.C104

Related issues:

Related to Figure - Bug # 118689: 【IOVDEV-33463】【内部】【VC1】... CLOSED 2023-06-08

History

#1 - 2023-06-08 17:07 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118666

#2 - 2023-06-09 10:11 - CD FW 曹覃刚

- Status changed from New to ASSIGNED
https://ofs.human-horizons.com/#/download/index/zItaXNi2V10%3D
与 #118689 类似，请同时check

#3 - 2023-06-13 16:38 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

■ Current conclusion

问题发生时为 10:22，日志最后时间为 10:11，没有问题发生时日志，需要提供问题发生时对应日志。

■ Next action

测试确认并同步客户。

#4 - 2023-06-13 17:56 - CD TEST-方永红

- File 1754.txt added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD TEST-方永红 to CD FW-廖涛

#5 - 2023-06-15 11:49 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

■ Current conclusion

JIRA 提供的日志无法对应，新的日志是创达的测试同时复现后提供的。

■ My analysis

从日志看 17:49:06 出现内存不足的信息，因此在问题发生时，整体系统性能不是很理想，导致录屏选项对话框的打开链路执行过程变慢，从

wm_activity_launch_time 日志看，页面本身打开时间最长为 118ms，属于正常范围，应该是系统处理消息的整体变慢导致问题。

1. 针对系统性能问题，近期有优化提交入库，可以尝试使用新版本进行该问题的验证复现；

2. 如果在新版本中，问题还是存在，麻烦提供下对应时间段的详细日志；

日志如下：

06-13 17:49:06.100  1552  1676 I am_meminfo: [1681956864,275423232,60993536,503746560,544486400]

06-13 17:53:36.778  1552  1658 I wm_activity_launch_time: [0,159070385,com.android.systemui/.screenrecord.ScreenRecordDialog,118]

■ Next action

使用新版本验证，是否还会复现该问题。

#6 - 2023-06-15 13:43 - CD FW-廖涛

已在 JIRA 上回复。

#7 - 2023-06-17 18:20 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED
与118693重复，客户已关闭BUG

#8 - 2023-06-17 18:20 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#9 - 2023-06-17 18:20 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

飞书20230608-110131.mov 4.05 MB 2023-06-08 CD TEST-方永红

1754.txt 5.03 MB 2023-06-13 CD TEST-方永红
